#!/bin/bash

function usage {
	echo 'usage : '$(basename $0) 'snake-case-file'
}

[[ $# -eq 0 ]] && usage && exit 0

for src in $@;do
	echo $src:
	echo -e '\n'
	sed -E 's/([[:upper:]])/\L\1/g' ${src} | sed -E 's/_(.)\B/\U\1/g'
	echo -e '\n'
done

